For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Channels
    • Orders
      • POSTCreate Order
      • GETGet Orders
      • GETGet Order
      • GETGet one Shipment by Shipment Id
      • POSTCancel multiple Shipments by Shipment Id
      • POSTUpdate Tracking Uploaded Status for Multiple Shipments by Shipment Id
      • GETGet one Shipment's status timeline by Shipment Id
      • POSTCancel single Order by Order ID
      • POSTCancel one Shipment by Shipment Id
      • GETGet shipping methods
      • GETGet one Shipment's status timeline by Order Id and Shipment Id
      • GETGet all Shipments for Order
      • GETGet logs for one Shipment by Order Id and Shipment Id
      • POSTCancel one Shipment by Order Id and Shipment Id
      • GETGet logs for one Shipment by Shipment Id
      • GETGet one Shipment by Order Id and Shipment Id
      • POSTEstimate Fulfillment Cost For Order
      • GETGet Order Store Json
      • POSTSave the Store Order Json
      • PUTUpdate a Shipment
    • Products
    • Inventory
    • Receiving
    • Returns
    • Webhooks
    • Locations
    • OpenAPI spec
LogoLogo
API ReferenceOrders

Get one Shipment by Order Id and Shipment Id

||View as Markdown|
GET
/2.0/order/:orderId/shipment/:shipmentId
GET
/2.0/order/:orderId/shipment/:shipmentId
$curl https://api.shipbob.com/2.0/order/orderId/shipment/shipmentId \
> -H "Authorization: Bearer <token>"
1{
2 "actual_fulfillment_date": "2019-08-24T14:15:22Z",
3 "created_date": "2019-08-24T14:15:22Z",
4 "delivery_date": "2019-08-24T14:15:22Z",
5 "estimated_fulfillment_date": "2019-08-24T14:15:22Z",
6 "estimated_fulfillment_date_status": "AwaitingInventoryAllocation",
7 "gift_message": "string",
8 "id": 0,
9 "insurance_value": 0,
10 "invoice_amount": 0,
11 "invoice_currency_code": "string",
12 "is_tracking_uploaded": true,
13 "last_tracking_update_at": "2019-08-24T14:15:22Z",
14 "last_update_at": "2019-08-24T14:15:22Z",
15 "location": {
16 "id": 0,
17 "name": "Cicero (IL)"
18 },
19 "measurements": {
20 "depth_in": 0,
21 "length_in": 0,
22 "total_weight_oz": 0,
23 "width_in": 0
24 },
25 "order_id": 0,
26 "package_material_type": "Unknown",
27 "parent_cartons": [
28 {
29 "barcode": "string",
30 "cartons": [
31 {
32 "barcode": "string",
33 "carton_details": [
34 {
35 "products": [
36 {
37 "id": 0,
38 "inventory_items": [
39 {
40 "expiration_date": "2019-08-24T14:15:22Z",
41 "id": 0,
42 "is_dangerous_goods": true,
43 "lot": "22222",
44 "name": "Medium Blue T-Shirt",
45 "quantity": 0,
46 "quantity_committed": 0,
47 "serial_numbers": [
48 "string"
49 ]
50 }
51 ],
52 "name": "Medium Blue T-Shirt",
53 "reference_id": "TShirtBlueM",
54 "sku": "TShirtBlueM"
55 }
56 ]
57 }
58 ],
59 "id": 0,
60 "measurements": {
61 "depth_in": 0.1,
62 "length_in": 0.1,
63 "total_weight_oz": 0.1,
64 "width_in": 0.1
65 },
66 "type": "Box or pallet"
67 }
68 ],
69 "measurements": {
70 "depth_in": 0.1,
71 "length_in": 0.1,
72 "total_weight_oz": 0.1,
73 "width_in": 0.1
74 },
75 "type": "Box or pallet"
76 }
77 ],
78 "products": [
79 {
80 "id": 0,
81 "inventory_items": [
82 {
83 "expiration_date": "2019-08-24T14:15:22Z",
84 "id": 0,
85 "is_dangerous_goods": true,
86 "lot": "22222",
87 "name": "Medium Blue T-Shirt",
88 "quantity": 0,
89 "quantity_committed": 0,
90 "serial_numbers": [
91 "string"
92 ]
93 }
94 ],
95 "name": "Medium Blue T-Shirt",
96 "reference_id": "TShirtBlueM",
97 "sku": "TShirtBlueM"
98 }
99 ],
100 "recipient": {
101 "address": {
102 "address1": "100 Nowhere Blvd",
103 "address2": "Suite 100",
104 "city": "Gotham City",
105 "company_name": "Wayne Enterprises",
106 "country": "US",
107 "state": "NJ",
108 "zip_code": "07093"
109 },
110 "email": "john@example.com",
111 "full_name": "John Doe",
112 "name": "John Doe",
113 "phone_number": "555-555-5555"
114 },
115 "reference_id": "string",
116 "require_signature": true,
117 "ship_option": "Standard",
118 "status": "None",
119 "status_details": [
120 {
121 "description": "string",
122 "exception_fulfillment_center_id": 0,
123 "extra_information": {
124 "validation_messages": [
125 "string"
126 ]
127 },
128 "id": 0,
129 "inventory_id": 0,
130 "name": "string"
131 }
132 ],
133 "tracking": {
134 "bol": "string",
135 "carrier": "USPS",
136 "carrier_service": "Priority",
137 "pro_number": "string",
138 "scac": "string",
139 "shipping_date": "2019-08-24T14:15:22Z",
140 "tracking_number": "860C8CDC8F0B4FC7AB69AC86C20539EC",
141 "tracking_url": "https://www.example.com/tracking?id=860C8CDC8F0B4FC7AB69AC86C20539EC"
142 }
143}
Was this page helpful?
Previous

Get logs for one Shipment by Shipment Id

Next

Estimate Fulfillment Cost For Order

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

orderIdstringRequiredformat: "int32"
The order id to get the shipment for
shipmentIdstringRequiredformat: "int32"
The shipment id to get

Headers

shipbob_channel_idstringOptionalformat: "int32"
Channel Id for Operation

Response

Success
Orders.ShipmentViewModelobject
Information about a shipment
OR
Orders.InternalShipmentViewModelobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error